var block = $('#t12').val();
var panchayat = $('#t13').val();

$('#t10').on('change',function(){
    var services_id = this.value;
    // console.log(services_id);
    if (services_id="Urban") {
      $.ajax({
        url: 'load-subarea.php',
        type: 'post',
        data: { s_id:services_id },
        success: function(data){
          $('#t11').html(data);
          // console.log(data);
        }
      })
    }

  })
$('#t10').on('change',function(){
    var ruralservices_id = this.value;
    // console.log(services_id);
    if (services_id="Rural") {
      $.ajax({
        url: 'load-ruralarea.php',
        type: 'post',
        data: { r_id:ruralservices_id },
        success: function(data){
          $('#t15').html(data);
          // console.log(data);
        }
      })
    }

  })

$('#t13').on('change',function(){
    var panchayat_id = this.value;
    // console.log(services_id);
    $.ajax({
      url: 'load-villarea.php',
      type: 'post',
      data: { p_id:panchayat_id },
      success: function(data){
        $('#vill').html(data);
        // console.log(data);
      }
    })

  })

$('#t11').on('change',function(){
  var muncipility_id = this.value;
  // console.log(services_id);
  $.ajax({
    url: 'load-urbanward.php',
    type: 'post',
    data: { m_id:muncipility_id },
    success: function(data){
      $('#t15').html(data);
      // console.log(data);
    }
  })

})
$(document).ready(function(){
  
  $('#t10').on('change', function(e){
    e.preventDefault();
    $('#t11-error').html("");
    $('#t12-error').html("");
    $('#t13-error').html("");
    $('#vill-error').html("");
    $('#t15-error').html("");
    if (this.value=="Urban") {
      $('#t12').attr('disabled','disabled');
      $('#t13').attr('disabled','disabled');
      $('#vill').attr('disabled','disabled');
      $('#t11').removeAttr('disabled');
      $('#t15').removeAttr('disabled');
      $("#t11").attr("required", "true");
      $('#t11-error').html("*Required");
      $("#t11").focus();
      $("#t15").attr("required", "true");
      $('#t15-error').html("*Required");
      $("#t15").focus();
      return false;
    }
    else if (this.value=="") {
      $('#t11').removeAttr('disabled');
      $('#t12').removeAttr('disabled');
      $('#t13').removeAttr('disabled');
      $('#vill').removeAttr('disabled');
      $("select").attr("required", "true");
      return false;
    }
    else if (this.value=="Rural") {
      $('#t11').attr('disabled','disabled');
      $('#t12').removeAttr('disabled');
      $('#t13').removeAttr('disabled');
      $('#vill').removeAttr('disabled');
      $("#t12").attr("required", "true");
      $('#t12-error').html("*Required");
      $("#t12").focus();
      $("#t13").attr("required", "true");
      $('#t13-error').html("*Required");
      $("#t13").focus();
      $("#vill").attr("required", "true");
      $('#vill-error').html("*Required");
      $("#vill").focus();
      return false;
    }

  })
})